<?php

function round_kb_mb ($bytes)
{
    if($bytes<1024)
    {   $sbytes=$bytes." Bytes";    }
    else if($bytes>1024&&$bytes<1024*1024)
    {   $sbytes=round($bytes/1024,2)."Kb";    }
    else if($bytes>1024*1024&&$bytes<1024*1024*1024)
    {   $sbytes=round($bytes/(1024*1024),2)."Mb";    }
    else if($bytes>1024*1024*1024)
    {   $sbytes=round($bytes/(1024*1024*1024),2)."Gb";    }
    return $sbytes;
}
				    
$IW=900;
$IH=500;
$OTSTUP=35;
$GRIDS=15;

$image = imagecreate($IW,$IH);

// allocate some solors
$white    = imagecolorallocate($image, 0xFF, 0xFF, 0xFF);
$black    = imagecolorallocate($image, 0x00, 0x00, 0x00);
$gray     = imagecolorallocate($image, 0xAA, 0xAA, 0xAA);

$values=$_GET['values'];
$v=preg_split("/[\,]+/",$values);
$c=count($v);
$onepoint=($IH-$OTSTUP*2)/max($v);
$values=$_GET['descr'];
$d=preg_split("/[\,]+/",$values);
$dc=count($d);
if($dc!=$c)
{
    imagestring($image,3,0,0,"ERROR...",$black);
}
else
{
    $BW=$IW/$c/2;

    imageline($image, $OTSTUP, 0, $OTSTUP, $IH, $black);
    imageline($image, 0, $IH-$OTSTUP, $IW, $IH-$OTSTUP, $black);
    // gridlines
    $i=1;
    while($i<=$GRIDS)
    {
	$curr_point=max($v)*($i/$GRIDS);
	$basex=(($IW-$OTSTUP)/$c)*($i)+$OTSTUP;
        $basey=$IH-$OTSTUP;
	imageline($image, 0, $basey-$onepoint*$curr_point, $IW, $basey-$onepoint*$curr_point, $gray);
	if($curr_point!=0)
	    $scurr_point=round_kb_mb($curr_point);
	else
	    $scurr_point="";
        imagestring($image,1,0,$basey-$onepoint*$curr_point-$BW/2,$scurr_point,$gray);
	$i++;
    }
    // graphs
    foreach($v as $i => $n)
    {
	$basex=(($IW-$OTSTUP)/$c)*($i)+$OTSTUP;
        $basey=$IH-$OTSTUP;
        imagestring($image,3,$basex+2,$basey+2,$d[$i],$black);
        $coords=array(  $basex,$basey,
			$basex+$BW,$basey,
			$basex+$BW,$basey-$onepoint*$v[$i],
			$basex,$basey-$onepoint*$v[$i]
		    );
	$color=($v[$i]/max($v))*255;
	$color=imagecolorallocate($image, $color, 0xAA, 0xAA);
	imagefilledpolygon($image,$coords,4,$color);
	if($v[$i]!=0)
	    $sbytes=round_kb_mb($v[$i]);
	else
	    $sbytes="";
        imagestring($image,1,$basex,$basey-$onepoint*$v[$i]-$BW/2,$sbytes,$black);
    }
}

header('Content-type: image/gif');
imagegif($image);
imagedestroy($image);

?>